Runtime

## org.eclipse.gmf.runtime.emf.ui.properties.providers
Class GenericEMFPropertiesProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.emf.ui.properties.providers.GenericEMFPropertiesProvider

All Implemented Interfaces:
  IPropertiesProvider, IProvider

public class GenericEMFPropertiesProvider
extends AbstractProvider
implements IPropertiesProvider

Provider that provides clients with generic EMF propeties.

Constructor Summary
`GenericEMFPropertiesProvider()`

Method Summary
`protected ICompositePropertySource` `createPropertySource(java.lang.Object object, IItemPropertySource itemPropertySource)`
`protected AdapterFactory` `getAdapterFactory(java.lang.Object object)` Adapter to the EMF layer - the factory that will return IItelPropertySource adapters
`ICompositePropertySource` `getPropertySource(java.lang.Object object)` This implements `IPropertySourceProvider`.getPropertySource to forward the call to an object that implements `IItemPropertySource`.
`boolean` `provides(IOperation operation)` Indicates whether this provider provides the specified operation.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### GenericEMFPropertiesProvider

    public GenericEMFPropertiesProvider()

Method Detail

### getAdapterFactory

    protected AdapterFactory getAdapterFactory(java.lang.Object object)

  Adapter to the EMF layer - the factory that will return IItelPropertySource adapters

  Returns:
    - the EMF based composite adapter factory that will return IItelPropertySource adapters

### getPropertySource

    public ICompositePropertySource getPropertySource(java.lang.Object object)

  This implements `IPropertySourceProvider`.getPropertySource to forward the call to an object that implements `IItemPropertySource`.

  Specified by:
    `getPropertySource` in interface `IPropertiesProvider`
  Parameters:
    `object` - - target of the properties
  Returns:
    - properties contributed by this provider

### provides

    public boolean provides(IOperation operation)

  Description copied from interface: `IProvider`
  Indicates whether this provider provides the specified operation.

  Providers generally cast the operation to a service specific `IOperation`-derived class in order to determine whether they support the request.

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

### createPropertySource

    protected ICompositePropertySource createPropertySource(java.lang.Object object,
                                                            IItemPropertySource itemPropertySource)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.